## lavacli 0.9.8

=== requirements.txt ===
jinja2
PyYAML
pyzmq
requests

## lavacli 0.7

=== debian/changelog ===
lavacli (0.7-1) unstable; urgency=medium

  * Initial release. (Closes: #887476: ITP: lavacli -- LAVA XML-RPC
    command line interface)

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Thu, 08 Feb 2018 11:42:30 +0530

=== debian/control ===
Source: lavacli
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>,
 Neil Williams <codehelp@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper (>= 10), dh-python, python3 | python3-all,
  python3-setuptools, python3-requests, python3-yaml, python3-zmq
X-Python-Version: >= 3.2
Standards-Version: 3.9.8
Homepage: https://www.linaro.org/initiatives/lava/
Vcs-Git: https://github.com/Linaro/pkg-lavacli.git
Vcs-Browser: https://github.com/Linaro/pkg-lavacli.git

Package: lavacli
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: LAVA XML-RPC command line interface
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides a user space command line interface to
 any LAVA (Linaro Automated Validation Architecture) instance for
 submitting test jobs or querying the instance for device and job
 status over XML-RPC. A user account on the instance is needed to
 create and use authentication tokens for some calls. The list of
 calls supported is described on the API section of the LAVA
 instance.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=lavacli
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean::
	$(RM) -r lavacli.egg-info/ build/ dist/ .pybuild/
	find . -name '*.pyc' -exec $(RM) -f {} +
	find . -name '*.pyo' -exec $(RM) -f {} +
	find . -name '*~' -exec rm $(RM) {} +

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://git.linaro.org/lava/lavacli.git/refs /lava/lavacli.git/snapshot/lavacli-(\d*.*).tar.gz

## lavacli 0.8

=== debian/changelog ===
lavacli (0.8-1) unstable; urgency=medium

  * 0.8-1 New upstream release
  * Add rules to package manpages

 -- Neil Williams <codehelp@debian.org>  Wed, 18 Apr 2018 09:39:14 +0100

lavacli (0.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Thu, 22 Mar 2018 08:00:52 +0530

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 10), dh-python, python3 | python3-all,
-  python3-setuptools, python3-requests, python3-yaml, python3-zmq
+  python3-setuptools, python3-requests, python3-yaml, python3-zmq,
+  python3-jinja2, python3-sphinx
 X-Python-Version: >= 3.2
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://www.linaro.org/initiatives/lava/
 Vcs-Git: https://github.com/Linaro/pkg-lavacli.git
 Vcs-Browser: https://github.com/Linaro/pkg-lavacli.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=lavacli

export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	python3 setup.py build
	make -C doc/ man SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""

override_dh_auto_install:
	python3 setup.py install --root=$(CURDIR)/debian/lavacli/ --install-layout=deb
	dh_installman -plavacli doc/_build/man/lavacli.1

override_dh_auto_clean::
	$(RM) -r lavacli.egg-info/ build/ dist/ .pybuild/ doc/_build
	find . -name '*.pyc' -exec $(RM) -f {} +
	find . -name '*.pyo' -exec $(RM) -f {} +
	find . -name '*~' -exec rm $(RM) {} +

## lavacli 0.9.2

=== debian/changelog ===
lavacli (0.9.2-2) unstable; urgency=medium

  * Remove build-dep on python3-all (Closes: #911550)

 -- Neil Williams <codehelp@debian.org>  Thu, 25 Oct 2018 13:50:23 +0100

lavacli (0.9.2-1) unstable; urgency=medium

  * 0.9.2-1 New upstream release.
  * Add autopkgtest.
  * Update X-Python-Version.
  * Add pytest dependencies for running tests.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 22 May 2018 14:04:24 +0530

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
  Neil Williams <codehelp@debian.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 10), dh-python, python3 | python3-all,
-  python3-setuptools, python3-requests, python3-yaml, python3-zmq,
-  python3-jinja2, python3-sphinx
-X-Python-Version: >= 3.2
+Build-Depends: debhelper (>= 10), dh-python, python3,
+ python3-setuptools, python3-requests, python3-yaml,
+ python3-zmq, python3-jinja2, python3-sphinx,
+ python3-pytest-runner, python3-pytest
+X-Python-Version: >= 3.6
 Standards-Version: 4.1.4
 Homepage: https://www.linaro.org/initiatives/lava/
 Vcs-Git: https://github.com/Linaro/pkg-lavacli.git

## lavacli 0.9.3

=== debian/changelog ===
lavacli (0.9.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Neil Williams <codehelp@debian.org>  Thu, 08 Nov 2018 11:06:58 +0000

lavacli (0.9.3-1) unstable; urgency=medium

  * New upstream release 
    * a future proof versionning support
    * use black code format
    * allow to use --verbose and --since for job listing
  * Update homepage
  * Update standards version (no changes)

 -- Neil Williams <codehelp@debian.org>  Tue, 06 Nov 2018 08:41:22 +0000

## lavacli 0.9.4

=== debian/changelog ===
lavacli (0.9.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Neil Williams <codehelp@debian.org>  Tue, 05 Feb 2019 13:24:40 +0000

lavacli (0.9.4-1) unstable; urgency=medium

  * New upstream release
    "utils templates render" to render jinja2 templates
    "jobs queue" to show the current queue for some device-types
    (needs lava 2019.01)

 -- Neil Williams <codehelp@debian.org>  Wed, 30 Jan 2019 12:06:40 +0000

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  python3-zmq, python3-jinja2, python3-sphinx,
  python3-pytest-runner, python3-pytest
 X-Python-Version: >= 3.6
-Standards-Version: 4.1.4
-Homepage: https://www.linaro.org/initiatives/lava/
+Standards-Version: 4.2.1
+Homepage: https://git.lavasoftware.org/lava/lavacli
 Vcs-Git: https://github.com/Linaro/pkg-lavacli.git
 Vcs-Browser: https://github.com/Linaro/pkg-lavacli.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/pkg-info.mk
+
+# Prevent setuptools/distribute from accessing the internet.
+export http_proxy = http://127.0.9.1:9
 
 export PYBUILD_NAME=lavacli
 
@@ -9,6 +12,9 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+	python3 setup.py pytest
 
 override_dh_auto_build:
 	python3 setup.py build

## lavacli 0.9.5

=== debian/changelog ===
lavacli (0.9.5-1) unstable; urgency=medium

  * New upstream release
    + Fix user-agent
    + When submitting multiple jobs, declare which job failed and
      continue
    + jobs.validate: allow to validate job definitions
    + Allow fallback to yaml.Loader
    + Create config dir if it doesn't exist
  * Fix Uploaders: add me, remove Senthil
  * Moved Debian packaging into the upstream repo, so update the VCS-
    links to point there

 -- Steve McIntyre <93sam@debian.org>  Tue, 05 Mar 2019 17:09:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: lavacli
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
-Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>,
- Neil Williams <codehelp@debian.org>
+Uploaders: Steve McIntyre <93sam@debian.org>, Neil Williams <codehelp@debian.org>
 Section: admin
 Priority: optional
 Build-Depends: debhelper (>= 10), dh-python, python3,
@@ -11,8 +10,8 @@
 X-Python-Version: >= 3.6
 Standards-Version: 4.2.1
 Homepage: https://git.lavasoftware.org/lava/lavacli
-Vcs-Git: https://github.com/Linaro/pkg-lavacli.git
-Vcs-Browser: https://github.com/Linaro/pkg-lavacli.git
+Vcs-Git: https://git.lavasoftware.org/lava/lavacli
+Vcs-Browser: https://git.lavasoftware.org/lava/lavacli
 
 Package: lavacli
 Architecture: all

## lavacli 0.9.7

=== debian/changelog ===
lavacli (0.9.7-1ubuntu1) eoan; urgency=medium

  * debian/patches/fix_pyyaml_default_flow_style.patch: Make sure all calls
    to yaml.dump() include default_flow_style=None, to retain previous behavior
    that is checked for in tests, unless it's already otherwise specified.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 08 Aug 2019 17:38:31 -0400

lavacli (0.9.7-1) unstable; urgency=medium

  * New upstream release
    + workers: get and set the environment

 -- Steve McIntyre <93sam@debian.org>  Mon, 01 Jul 2019 11:47:23 +0100

lavacli (0.9.6-1) unstable; urgency=medium

  * New upstream release
    + utils.templates.render: fix --path option
    + Do not print token when an exception is raised
    + Improve error reporting
    + jobs: allow to cancel many jobs in one call
    + jobs submit: Don't eat xmlrpc error
    + utils templates render: allow to specify the context
    + utils template render: allow to set trim_block
    + utils.loader: allow to use the safe loader
    + results: use the CSafeLoader whenether possible
    + loader: use the helper whenever possible
    + Add a timeout option for the 'jobs wait' command
    + Fix lavacli crashes when the server returns a Fault exception
    + aliases: port to the new API in LAVA 2019.05
    + jobs validate: fix crash when validating
  * fix watch script
  * fix link to the source repository

 -- Steve McIntyre <93sam@debian.org>  Tue, 05 Mar 2019 17:09:33 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lavacli
-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>, Neil Williams <codehelp@debian.org>
 Section: admin
 Priority: optional

## lavacli 0.9.8

=== debian/changelog ===
lavacli (0.9.8-1ubuntu1) focal; urgency=medium

  * Allow stderr output in the autopkg test.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jan 2020 09:56:46 +0100

lavacli (0.9.8-1) unstable; urgency=medium

  [ Remi Duraffort ]
  * New upstream release
    + Export author email
    + Fix yaml.dump after recent pyyaml changes (Closes: #934269)
    + CI: test on debian testing
    + Ad a git buildpackage configuration file
    + Add a simple release script
    + Improve release script

  [ Antonio Terceiro ]
  * Set Remi and myself as Uploaders:
  * Bump Standards-Version to 4.4.0; no changes needed
  * debian/rules: handle DEB_BUILD_OPTIONS=nocheck
  * debian/control: run wrap-and-sort
  * Drop debian/compat and replace it with a dependency on debhelper-compat 12
  * debian/copyright: use https for spec URL

 -- Remi Duraffort <remi.duraffort@linaro.org>  Thu, 19 Sep 2019 14:10:45 +0200

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, python3-pytest, python3-pytest-runner
Restrictions: allow-stderr

## lavacli 1.0

=== debian/changelog ===
lavacli (1.0-1) unstable; urgency=medium

  [ Antonio Terceiro ]
  * autopkgtest: improve testsuite script
  * autopkgtest: reduce set of test dependencies
  * autopkgtest: allow output on stderr (Closes: #950220)
  * gbp.conf: fix settings to build from git repository

  [ Rémi Duraffort ]
  * New upstream release
    + workers: allow one to get and set worker job limit

 -- Remi Duraffort <remi.duraffort@linaro.org>  Wed, 29 Jan 2020 14:39:48 +0100

lavacli (0.9.9-1) unstable; urgency=medium

  * New upstream release
    + Fix upload to pypi in release script
    + CI: use hub.lavasoftware.org/lava/ci-images/amd64/analyze image
    + devices: fix crash with lava >= 2019.09
    + devices: rename "hostname" to "name"
    + workers: rename "hostname" to "name"
    + events: rename "hostname" to "name"
    + logs: set the debug color to 0;37 while info is in 1;37
    + jobs: consolidate logging options in one place
    + jobs resubmit: extract log watching into its own function
    + jobs submit: add option to follow the logs
    + jobs logs: improve color code for timestamps

 -- Remi Duraffort <remi.duraffort@linaro.org>  Wed, 13 Nov 2019 15:23:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,22 @@
 Source: lavacli
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
-Uploaders: Steve McIntyre <93sam@debian.org>, Neil Williams <codehelp@debian.org>
+Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
+Uploaders: Remi Duraffort <remi.duraffort@linaro.org>,
+           Antonio Terceiro <antonio.terceiro@linaro.org>
 Section: admin
 Priority: optional
-Build-Depends: debhelper (>= 10), dh-python, python3,
- python3-setuptools, python3-requests, python3-yaml,
- python3-zmq, python3-jinja2, python3-sphinx,
- python3-pytest-runner, python3-pytest
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
+               python3,
+               python3-jinja2,
+               python3-pytest,
+               python3-pytest-runner,
+               python3-requests,
+               python3-setuptools,
+               python3-sphinx,
+               python3-yaml,
+               python3-zmq
 X-Python-Version: >= 3.6
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://git.lavasoftware.org/lava/lavacli
 Vcs-Git: https://git.lavasoftware.org/lava/lavacli
 Vcs-Browser: https://git.lavasoftware.org/lava/lavacli

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,9 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	python3 setup.py pytest
+endif
 
 override_dh_auto_build:
 	python3 setup.py build

## lavacli 1.2

=== requirements.txt ===
aiohttp
jinja2
PyYAML
pyzmq
requests

=== debian/changelog ===
lavacli (1.2-1) unstable; urgency=medium

  [ Remi Duraffort ]
  * New upstream release
   + Make yaml.CDumper optional
   + jobs logs: Ignore intermediary errors 500
   + logs: improve feedback printing
   + utils: fix variable split
   + CI: add more debian and ubuntu versions
   + Fix job show error when specify yaml/json.

  [ Antonio Terceiro ]
  * Build and test against all Python versions
  * debian/rules: drop homemade build/install/test commands
  * Add missing build dependency on python3-aiohttp
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Remi Duraffort <remi.duraffort@linaro.org>  Thu, 09 Dec 2021 16:05:44 +0100

lavacli (1.1-1) unstable; urgency=medium

  * New upstream release
    + CI: also test on ubuntu 19.10
    + CI: fix coverage report
    + device-types: fix crash with recent versions of LAVA
    + CI: drop ubuntu 18.04
    + CI: drop ubuntu 18.10, not 18.04
    + ci: only test on Ubuntu LTS releases
    + workers: get/set certificates
    + system: add a command to get master certificate
    + utils: use the new device-type template directory
    + Use codespell to fix spelling errors
    + Documentation: fix error about verify_ssl_cert for lavacli.yaml
    + workers: print the version after 2020.06
    + events: listen for events using websockets
    + CI: add missing python-aiohttp
    + events: do not use f-strings
    + CI: drop debian 8
    + CI: add missing package for coverage
    + workers: print the token if available
    + worker certificates are removed in 2020.09
    + events: websocket is available in LAVA 2020.09
    + Add dependency on aiohttp

 -- Remi Duraffort <remi.duraffort@linaro.org>  Mon, 02 Nov 2020 10:41:21 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
+               python3-all,
+               python3-aiohttp,
                python3-jinja2,
                python3-pytest,
                python3-pytest-runner,
@@ -16,7 +18,7 @@
                python3-yaml,
                python3-zmq
 X-Python-Version: >= 3.6
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: https://git.lavasoftware.org/lava/lavacli
 Vcs-Git: https://git.lavasoftware.org/lava/lavacli
 Vcs-Browser: https://git.lavasoftware.org/lava/lavacli

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

export PYBUILD_NAME=lavacli

export BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d @"$(SOURCE_DATE_EPOCH)")


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make -C doc/ man SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""

override_dh_auto_install:
	dh_auto_install
	dh_installman -plavacli doc/_build/man/lavacli.1

## lavacli 2.2.0

=== Makefile ===
check: black pylint

black:
	LC_ALL=C.UTF-8 LANG=C.UTF-8 black --check --diff .

pylint:
	pylint --disable=all --enable=elif,exceptions,stdlib,imports,variables,string,string_constant,logging,newstyle,classes --disable=C0411,C0412,E0401,E0611,E0202,R0201,R0401,W --enable=E0102,R1707,R1714,R1715,R1716,W0235,W0404,W0611,W0612,W0622,W0631,W0632,W0641,W0642,W1401,W1402,W1403,W1505 lavacli tests

test:
	python3 -m pytest -v --junitxml=lavacli.xml tests

coverage:
	python3 -m pytest -v --cov --cov-fail-under=70 --cov-report html --cov-report term-missing --cov-report=xml:coverage.xml --junitxml=report.xml tests

=== requirements.txt ===
aiohttp
jinja2
requests
ruamel.yaml
voluptuous

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = lavacli
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
lavacli (2.2.0-3) unstable; urgency=medium

  [ Lei Yang ]
  * Fix test_base_dir to handle paths containing dots correctly
    (Closes: #1102293)

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 07 Apr 2025 13:53:19 +0200

lavacli (2.2.0-2) unstable; urgency=medium

  * Make voluptuous a hard dependency as it should be.
  * Build-depend on python3-zmq.
  * Update copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 18 Mar 2025 13:33:40 +0100

lavacli (2.2.0-1) unstable; urgency=medium

  [ Remi Duraffort ]
  * New upstream release (Closes: #1088041).
  * Update the homepage to gitlab.com/lava/lavacli.
  * Switch the dependency to from python3-yaml to python3-ruamel.yaml.

  [ Andrej Shadura ]
  * Bump debhelper from old 12 to 13.
  * Use dh-sequence-python3.
  * Simplify debian/rules.
  * Point Vcs-* to Salsa.
  * Bump Standards-Version to 4.7.2.
  * Require Python Version 3.7 or newer.
  * Add python3-voluptuous to Build-Depends.
  * Mark test-only dependencies as <!nocheck>.
  * Wrap and sort debian/control.
  * Add myself to the Uploaders.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 17 Mar 2025 10:18:16 +0100

=== debian/control ===
Source: lavacli
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders:
 Remi Duraffort <remi.duraffort@linaro.org>,
 Antonio Terceiro <antonio.terceiro@linaro.org>,
 Andrej Shadura <andrewsh@debian.org>,
Section: admin
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-aiohttp,
 python3-all,
 python3-jinja2,
 python3-pytest <!nocheck>,
 python3-pytest-runner <!nocheck>,
 python3-requests,
 python3-ruamel.yaml,
 python3-setuptools,
 python3-sphinx,
 python3-voluptuous,
 python3-zmq,
X-Python-Version: >= 3.7
Standards-Version: 4.7.2
Homepage: https://gitlab.com/lava/lavacli
Vcs-Git: https://salsa.debian.org/pkg-lava-team/lavacli.git
Vcs-Browser: https://salsa.debian.org/pkg-lava-team/lavacli

Package: lavacli
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-zmq,
Description: LAVA XML-RPC command line interface
 LAVA is a continuous integration system for deploying operating
 systems onto physical and virtual hardware for running tests.
 Tests can be simple boot testing, bootloader testing and system
 level testing, although extra hardware may be required for some
 system tests. Results are tracked over time and data can be
 exported for further analysis.
 .
 This package provides a user space command line interface to
 any LAVA (Linaro Automated Validation Architecture) instance for
 submitting test jobs or querying the instance for device and job
 status over XML-RPC. A user account on the instance is needed to
 create and use authentication tokens for some calls. The list of
 calls supported is described on the API section of the LAVA
 instance.

=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,7 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	make -C doc/ man SPHINXBUILD="/usr/share/sphinx/scripts/python3/sphinx-build" SPHINXOPTS="-j 4 -D today=\"$(BUILD_DATE)\""
-
-override_dh_auto_install:
-	dh_auto_install
-	dh_installman -plavacli doc/_build/man/lavacli.1

=== debian/watch ===
version=4

https://gitlab.com/lava/lavacli/tags /lava/lavacli/-/archive/v(.+)/lavacli-v.+\.tar\.gz

## lavacli 2.7

=== debian/changelog ===
lavacli (2.7-1) unstable; urgency=medium

  * New upstream release.
  * d/gbp.conf: Update for DEP-14 branch names
  * d/patches: Remove patches applied upstream
  * d/watch: Fix upstream tag scanning
  * d/control: Set Maintainer to Debian Python Team
  * d/control: Add myself to Uploaders
  * d/control: Update Vcs-* fields
  * d/control: Bump Standards-version to 4.7.3
  * d/salsa-ci.yml: Enable Salsa CI

 -- Christopher Obbard <obbardc@debian.org>  Sun, 22 Feb 2026 08:20:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: lavacli
-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Remi Duraffort <remi.duraffort@linaro.org>,
  Antonio Terceiro <antonio.terceiro@linaro.org>,
  Andrej Shadura <andrewsh@debian.org>,
+ Christopher Obbard <obbardc@debian.org>,
 Section: admin
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -21,10 +21,10 @@
  python3-voluptuous,
  python3-zmq,
 X-Python-Version: >= 3.7
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://gitlab.com/lava/lavacli
-Vcs-Git: https://salsa.debian.org/pkg-lava-team/lavacli.git
-Vcs-Browser: https://salsa.debian.org/pkg-lava-team/lavacli
+Vcs-Git: https://salsa.debian.org/python-team/packages/lavacli.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/lavacli
 
 Package: lavacli
 Architecture: all

=== debian/watch ===
version=4

opts="searchmode=plain" \
 https://gitlab.com/lava/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
